0

I wanted to give weechat a try on my Ubuntu 15.04 install so I downloaded a stable .deb from here (https://weechat.org/download/debian/) but I think I missed a few instructions because now everything is screwed up. Software Center keeps telling me "New software can't be installed, because there is a problem with the software currently installed. Do you want to repair this problem now?"

I tried sudo apt removing and purging weechat but I keep getting various of the following error message:

Reading package lists... Done Building dependency tree
Reading state information... Done Package 'weechat' is not installed, 
so not removed You might want to run 'apt-get -f install' to correct 
these: The following packages have unmet dependencies: weechat-curses 
: Depends: weechat-core (= 1.1.1-1) but it is not going to be 
installed E: Unmet dependencies. Try 'apt-get -f install' with no 
packages (or specify a solution).

sudo apt-get -f install yields this error:

Unpacking weechat-core (1.1.1-1) ... dpkg: error processing archive 
/var/cache/apt/archives/weechat-core_1.1.1-1_amd64.deb (--unpack): 
trying to overwrite '/usr/share/locale/fr/LC_MESSAGES/weechat.mo', 
which is also in package weechat-devel-core 1.4-1~dev20150904 dpkg-
deb: error: subprocess paste was killed by signal (Broken pipe) Errors 
were encountered while processing: /var/cache/apt/archives/weechat-
core_1.1.1-1_amd64.deb E: Sub-process /usr/bin/dpkg returned an error 
code (1)

I'm at my wits end. I tried install weechat core via apt to try to fix the dependency issue but nothing seems to be working. Any thoughts? I apologize for my ignorance - I've a newbie to Linux and Ubuntu and I'm mildly afraid I've borked my entire system!

  • refer here and also in software &updates uncheck all third party software and reload! – Ravan Sep 7 '15 at 2:09
  • Which deb packages do you have downloaded and installed and in which order. Give me a ping with @A.B. – A.B. Sep 7 '15 at 6:18
4

Weechat is available through apt-get. Run the following commands:

sudo apt-get purge weechat* weechat-devel-core

If that doesn't work, run this instead:

sudo dpkg -P weechat-devel-core
sudo apt-get purge weechat*

Then,

sudo apt-get clean
sudo apt-get update
sudo apt-get install weechat*

In the future, you can search for pachages using apt-get by using the following example:

apt-cache search weechat | grep weechat
  • This worked! Would someone mind explaining the theory behind this solution? I see that using these commands weechat is purged from dpkg, but I'm not sure what that means - dpkg is the tool that installs packages, so is this removing any remnants of weechat on my system? – Chris T Sep 7 '15 at 14:27
  • @ChrisT Yes, it removes all the stuff on your system so you can start over. Purging removes all files, configuration files, bin files etc. You had one version of weechat (weechat-devel-core) already installed on your system and you were trying to install a conflicting version. So, remove all versions and install weechat. – mchid Sep 7 '15 at 17:07
  • @ChrisT also, using an asterix will work as a wild card. When you purge weechat* it matches all packages that start with weechat. be carefull using wildcards in the future as it sometimes matches way more than what you want to match – mchid Sep 7 '15 at 17:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.